TOP = ..
COMMON = $(TOP)/common

SOURCES = $(wildcard *.md)
TARGETS = $(SOURCES:.md=.pdf)
DEPFILES = $(patsubst %.md,.%.d,$(SOURCES))

TXT2SHOT = $(COMMON)/txt2shot

all: $(TARGETS)

clean:
	rm -f $(TARGETS) $(GENERATED) $(DEPFILES) img.txt/*.pdf

%.pdf: %.md
	pandoc -t beamer -o $@ $<

# These generate 'cc -MM'-style makefile fragments, so we automatically
# calculate the dependencies of the underlying markdown (the deps are just what
# image files we use, at least for now).
.%.d: %.md $(COMMON)/deps.lua
	pandoc -t $(COMMON)/deps.lua $< --variable outputfile=$(<:.md=.pdf) -o $@
-include $(DEPFILES)

img.txt/%.pdf: img.txt/%.txt $(TXT2SHOT)
	$(TXT2SHOT) $< $@
